#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hls-refactor-plugin
version:              1.2.0.0
visibility:           public
id:                   hls-refactor-plugin-1.2.0.0-83lEc58ijeo7qi8J6a0Rj0
key:                  hls-refactor-plugin-1.2.0.0-83lEc58ijeo7qi8J6a0Rj0
license:              Apache-2.0
copyright:            The Haskell IDE Team
maintainer:           zubin.duggal@gmail.com
author:               The Haskell IDE Team
synopsis:             Exactprint refactorings for Haskell Language Server
description:
    Please see the README on GitHub at <https://github.com/haskell/haskell-language-server#readme>

category:             Development
abi:                  75a9c1ca3f5e14f1caa5020a990e89bb
exposed:              True
exposed-modules:
    Development.IDE.GHC.Compat.ExactPrint Development.IDE.GHC.Dump
    Development.IDE.GHC.ExactPrint Development.IDE.Plugin.CodeAction
    Development.IDE.Plugin.CodeAction.Util

hidden-modules:
    Development.IDE.Plugin.CodeAction.Args
    Development.IDE.Plugin.CodeAction.ExactPrint
    Development.IDE.Plugin.CodeAction.PositionIndexed
    Development.IDE.Plugin.Plugins.AddArgument
    Development.IDE.Plugin.Plugins.Diagnostic
    Development.IDE.Plugin.Plugins.FillHole
    Development.IDE.Plugin.Plugins.FillTypeWildcard
    Development.IDE.Plugin.Plugins.ImportUtils

import-dirs:          /usr/lib/ghc-9.2.8/site-local/hls-refactor-plugin-1.2.0.0
library-dirs:         /usr/lib/ghc-9.2.8/site-local/hls-refactor-plugin-1.2.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hls-refactor-plugin
hs-libraries:         HShls-refactor-plugin-1.2.0.0-83lEc58ijeo7qi8J6a0Rj0
depends:
    aeson-2.1.2.1-6T3arzxZmxGLR0VNwk73dB base-4.16.4.0
    bytestring-0.11.4.0 containers-0.6.5.1
    data-default-0.7.1.1-6FyQuCzLafhFdNBg39HHMj deepseq-1.4.6.1
    dlist-1.0-HCxoMn9TirQDgPCFxho7O extra-1.7.16-EbGxMIOltcu7ZR3rlg1Ydk
    ghc-9.2.8 ghc-boot-9.2.8
    ghc-exactprint-1.5.0-9SCWdRbj1aGHhWJQJyAlIN
    ghcide-1.10.0.0-GAtswRKlNCbKDEqyEu2623
    hls-graph-1.9.0.0-J2tjCgJ1DyTDGSqp9Nj0V2
    hls-plugin-api-1.6.0.0-6AN5JMfVpJwIDPjd1iz0SQ
    lens-5.2.3-7KIPe29YDsM72AVahiJlyf
    lsp-1.6.0.0-LuG0TARkdJp8NwprXsceSf mtl-2.2.2
    regex-tdfa-1.3.2.2-7CRoAV8RCYTD5cbbr6T8mH
    retrie-1.2.3-6S1IXDfc6IyLm13y8CRcXq
    syb-0.7.2.4-96PLGA9ePRoKEvwVQEltSr text-1.2.5.0
    text-rope-0.3-LGiAe3zEk7bG9fVI3F91pq time-1.11.1.1
    transformers-0.5.6.2
    unordered-containers-0.2.20-EKpOBluUqpuDOTuVUTImll

haddock-interfaces:
    /usr/share/doc/haskell-hls-refactor-plugin/html/hls-refactor-plugin.haddock

haddock-html:         /usr/share/doc/haskell-hls-refactor-plugin/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

